commit:     1f67c531386a76e96ceabcc216c99458d4c67fe1
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Jun  3 04:41:52 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Jun  3 04:42:17 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f67c531

net-misc/ntp: Bump to version 4.2.8_p8

Package-Manager: portage-2.2.28
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-misc/ntp/Manifest            |   2 +
 net-misc/ntp/ntp-4.2.8_p8.ebuild | 137 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 139 insertions(+)

diff --git a/net-misc/ntp/Manifest b/net-misc/ntp/Manifest
index d03a15a..4b8d262 100644
--- a/net-misc/ntp/Manifest
+++ b/net-misc/ntp/Manifest
@@ -4,3 +4,5 @@ DIST ntp-4.2.8p6-manpages.tar.bz2 24616 SHA256 
0c062d240e03320fde25b8824a5cc9b37
 DIST ntp-4.2.8p6.tar.gz 7152557 SHA256 
583d0e1c573ace30a9c6afbea0fc52cae9c8c916dbc15c026e485a0dda4ba048 SHA512 
797d07980c0b71453f32ae821ef496add0fe712a2bf960ab1af18f0b54caa6029d65238ef7606d1ffb53e2e95c88623b4fb228399b5d4dde9a5fa1b7e256f71b
 WHIRLPOOL 
0a320405dea0239fec9d6d6566e6e8cd7eb37a16232267f822befe4f4c8a359d672d6d58a5e755f7410234482bc7b2198649547dfb49f252b66ac7cee3351e13
 DIST ntp-4.2.8p7-manpages.tar.xz 24988 SHA256 
fead8e2c2c7db74c12ba145725932e94595469e128443c01df692889a6efcf33 SHA512 
0753c44a51d19af3d6ad24b757a8ebcdaec107cc2d976599d0af15d8e1b91b02223e2af9a78dd8ded22bb041821dee1381db8342679b5e58b65fa3a8916b7f79
 WHIRLPOOL 
666ffac116a52efb25e6ea072c5fbc79d26181d20f5aa4d2ff9c02056de67d3d2276e593942cc91804e21ddb5660734c9bfe76f60d0c33844cb2d45899c28d17
 DIST ntp-4.2.8p7.tar.gz 7175313 SHA256 
81d20c06a0b01abe3b84fac092185bf014252d38fe5e7b2758f604680a0220dc SHA512 
7b80192f0e3c4a05cc05f167ab85593acca685d514dcd46fb8f42b4cd2a5525e76ba5e15fd7ff13220e4155de6aab5661554e0ded60bfb1d27a969c589958f55
 WHIRLPOOL 
858f9f0f22ece06c304f2e19cfd3743facc5f2794d758f88528f2cebbb68f8d7d93dd93d976c1bdb912ad8f7ec4c5c2d6b669d3b2f7723337a70c50da033a323
+DIST ntp-4.2.8p8-manpages.tar.xz 24992 SHA256 
d1c349c970280b2bdb8ba197b1229c0c909a59782b76f3d650a9d2663e8a4d36 SHA512 
1a2b71d66ee9e6f03bfbb8f2c4ab1ed30cb2a5a0673e9769749569aa55e8994bacbef399c4b67da265a9673195618df63d84eafbeb37bef30aea302ab99653ef
 WHIRLPOOL 
ec62bc2d01c2494727e385fab4dd40581e69806e5ee7b97dd8cb30c44331386c96650358ff09414536d4b74b8178b0e85a3c436673282f228200b9df863c1890
+DIST ntp-4.2.8p8.tar.gz 7205710 SHA256 
2ab3d0b5f0456e6311dda1cc27ab75da108762773a19e46abd938bd9407b97ee SHA512 
253675667f78ad8855e961d02f6a120b68b75233c18ddb92cb6c9510fb3847f1672d0d6f93ad1eb11b14e3bdf78fdbc1458e516d906b763e8599490da6a4f225
 WHIRLPOOL 
cc054a550e59b44428989a183978ea59c7f1bc2ed9514e7d1cf82127f3188f73edb3521ee5b215438368a3c22b8cae09a78174e943195ddd752f0571335adb9e

diff --git a/net-misc/ntp/ntp-4.2.8_p8.ebuild b/net-misc/ntp/ntp-4.2.8_p8.ebuild
new file mode 100644
index 0000000..49ee982
--- /dev/null
+++ b/net-misc/ntp/ntp-4.2.8_p8.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils toolchain-funcs flag-o-matic user systemd
+
+MY_P=${P/_p/p}
+DESCRIPTION="Network Time Protocol suite/programs"
+HOMEPAGE="http://www.ntp.org/";
+SRC_URI="http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-${PV:0:3}/${MY_P}.tar.gz
+       https://dev.gentoo.org/~polynomial-c/${MY_P}-manpages.tar.xz";
+
+LICENSE="HPND BSD ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux 
~ia64-linux ~x86-linux ~m68k-mint"
+IUSE="caps debug ipv6 libressl openntpd parse-clocks readline samba selinux 
snmp ssl +threads vim-syntax zeroconf"
+
+CDEPEND="readline? ( >=sys-libs/readline-4.1:0= )
+       >=dev-libs/libevent-2.0.9[threads?]
+       kernel_linux? ( caps? ( sys-libs/libcap ) )
+       zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
+       !openntpd? ( !net-misc/openntpd )
+       snmp? ( net-analyzer/net-snmp )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl )
+       )
+       parse-clocks? ( net-misc/pps-tools )"
+DEPEND="${CDEPEND}
+       virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+       selinux? ( sec-policy/selinux-ntp )
+       vim-syntax? ( app-vim/ntp-syntax )"
+PDEPEND="openntpd? ( net-misc/openntpd )"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.2.8-ipc-caps.patch #533966
+       "${FILESDIR}"/${PN}-4.2.8-sntp-test-pthreads.patch #563922
+       "${FILESDIR}"/${PN}-4.2.8-ntpd-test-signd.patch
+)
+
+pkg_setup() {
+       enewgroup ntp 123
+       enewuser ntp 123 -1 /dev/null ntp
+}
+
+src_prepare() {
+       epatch "${PATCHES[@]}"
+       append-cppflags -D_GNU_SOURCE #264109
+       # Make sure every build uses the same install layout. #539092
+       find sntp/loc/ -type f '!' -name legacy -delete || die
+       # Disable pointless checks.
+       touch .checkChangeLog .gcc-warning FRC.html html/.datecheck
+}
+
+src_configure() {
+       # avoid libmd5/libelf
+       export ac_cv_search_MD5Init=no ac_cv_header_md5_h=no
+       export ac_cv_lib_elf_nlist=no
+       # blah, no real configure options #176333
+       export ac_cv_header_dns_sd_h=$(usex zeroconf)
+       export ac_cv_lib_dns_sd_DNSServiceRegister=${ac_cv_header_dns_sd_h}
+       # Increase the default memlimit from 32MiB to 128MiB.  #533232
+       econf \
+               --with-lineeditlibs=readline,edit,editline \
+               --with-yielding-select \
+               --disable-local-libevent \
+               --docdir='$(datarootdir)'/doc/${PF} \
+               --htmldir='$(docdir)/html' \
+               --with-memlock=256 \
+               $(use_enable caps linuxcaps) \
+               $(use_enable parse-clocks) \
+               $(use_enable ipv6) \
+               $(use_enable debug debugging) \
+               $(use_with readline lineeditlibs readline) \
+               $(use_enable samba ntp-signd) \
+               $(use_with snmp ntpsnmpd) \
+               $(use_with ssl crypto) \
+               $(use_enable threads thread-support)
+}
+
+src_install() {
+       default
+       # move ntpd/ntpdate to sbin #66671
+       dodir /usr/sbin
+       mv "${ED}"/usr/bin/{ntpd,ntpdate} "${ED}"/usr/sbin/ || die "move to 
sbin"
+
+       dodoc INSTALL WHERE-TO-START
+       doman "${WORKDIR}"/man/*.[58]
+
+       insinto /etc
+       doins "${FILESDIR}"/ntp.conf
+       use ipv6 || sed -i '/^restrict .*::1/d' "${ED}"/etc/ntp.conf #524726
+       newinitd "${FILESDIR}"/ntpd.rc-r1 ntpd
+       newconfd "${FILESDIR}"/ntpd.confd ntpd
+       newinitd "${FILESDIR}"/ntp-client.rc ntp-client
+       newconfd "${FILESDIR}"/ntp-client.confd ntp-client
+       newinitd "${FILESDIR}"/sntp.rc sntp
+       newconfd "${FILESDIR}"/sntp.confd sntp
+       if ! use caps ; then
+               sed -i "s|-u ntp:ntp||" "${ED}"/etc/conf.d/ntpd || die
+       fi
+       sed -i "s:/usr/bin:/usr/sbin:" "${ED}"/etc/init.d/ntpd || die
+
+       keepdir /var/lib/ntp
+       use prefix || fowners ntp:ntp /var/lib/ntp
+
+       if use openntpd ; then
+               cd "${ED}"
+               rm usr/sbin/ntpd || die
+               rm -r var/lib
+               rm etc/{conf,init}.d/ntpd
+               rm usr/share/man/*/ntpd.8 || die
+       else
+               systemd_newunit "${FILESDIR}"/ntpd.service-r2 ntpd.service
+               use caps && sed -i '/ExecStart/ s|$| -u ntp:ntp|' 
"${ED}"/usr/lib/systemd/system/ntpd.service
+               systemd_enable_ntpunit 60-ntpd ntpd.service
+       fi
+
+       systemd_newunit "${FILESDIR}"/ntpdate.service-r1 ntpdate.service
+       systemd_install_serviced "${FILESDIR}"/ntpdate.service.conf
+       systemd_newunit "${FILESDIR}"/sntp.service-r2 sntp.service
+       systemd_install_serviced "${FILESDIR}"/sntp.service.conf
+}
+
+pkg_postinst() {
+       if grep -qs '^[^#].*notrust' "${EROOT}"/etc/ntp.conf ; then
+               eerror "The notrust option was found in your /etc/ntp.conf!"
+               ewarn "If your ntpd starts sending out weird responses,"
+               ewarn "then make sure you have keys properly setup and see"
+               ewarn "https://bugs.gentoo.org/41827";
+       fi
+}

Reply via email to